html {
    background-color: #05788c;
}
body {
    padding: 0px;
    border: 0px;
    margin-left: 0px;
    margin-right: 0px;
    background-color: #05788c;
}

header {
    text-align: center;
    display: block;
    position: relative;
    left: 0;
    top: 0;
    background: transparent;
    background-image: url("/Figures/titleBackgroundTaller.png");
    color: white !important;
    padding: 5px 0 2px 0;
    font-size: 1.0em;
    border-bottom: 0px solid #fff;
    z-index: 9999;
}

footer {
    width: 100%;
    heignt: 3%;
    border: 0px;
    margin: 0px;
    text-align: left;
    display: block;
    position: fixed;
    left: 0;
    bottom: 0;
    background-image: url("/Figures/titleBackgroundTaller.png");
    color: white !important;
    padding: 5px 0 2px 0;
    font-size: 1.0em;
    z-index: 9999;
}

div.sidebar {
    float: left;
    width: 13.15789%;
    display: block;
    margin-left: -300px;
    padding-top: 2.6316%; /* extra space padding */
    position: relative;
    background-color: #4cae4c;
    color: #000000 !important;
}

div.tableofcontents {
    width: 20%;
    min-width: 210px;
    border-top: solid 2px;
    border-top-color: antiquewhite;
    border-right: solid 2px;
    border-right-color: antiquewhite;
    border-left: solid 2px;
    border-left-color: antiquewhite;
    border-bottom: solid 2px;
    border-bottom-color: antiquewhite;
    border-radius: 4px;
    margin-left: 6px;
    background-color: lavenderblush;
    overflow: auto;
}

ol.tableofcontents {
    background-color: lavenderblush;
}



td.tabbing {
    text-align: justify;
}


div.center {
    width: 75%;
    padding: 0px;
    border: 0px;
    margin: 0px;
    text-align: center;
}

span#methodColor {
    color: rgb(0, 126, 179)
}

span#varColor {
    color: rgb(255, 102, 102)
}

span#keywordColor {
    color: rgb(0, 127, 0)
}


span#dataTypeColor {
    color: rgb(255, 127, 0)
}

span#methodDefinition {
    color: rgb(0, 126, 179)
}

span#inheritedMethodDefinition {
    color: rgb(0, 126, 179)
}

span#localVariable {
    color: rgb(40, 40, 40)
}

span#staticVariable {
    color: rgb(126, 0, 179)
}

span#instanceVariable {
    color: rgb(126, 0, 179)
}

span#keyword {
    color: rgb(255, 127, 0)
}

span#squigglyBracket {
    color: rgb(0, 0, 0)
}

span#parameter {
    color: rgb(40, 40, 40)
}

span#blockComment {
    color: rgb(127, 127, 127)
}

span#lineComment {
    color: rgb(127, 127, 127)
}

span#numericLiteral {
    color: rgb(0, 127, 0)
}

span#stringLiteral {
    color: rgb(0, 127, 0)
}

img {
    horiz-align: center;
}


div.maketitle {
    width: 1200px;
    padding: 0px;
    border: 0px;
    margin: 0px;
}


p.indent {
    padding: 0.625%;
    border: 0px;
    margin: 0px;
    text-align: justify;
}

p.noindent {
    padding: 0.625%;
    border: 0px;
    margin: 0px;
    text-align: justify;
}

div.author {
    color: #f5f5f5 !important;
}

.h2.draft {
    color: #f5f5f5 !important;
}

.navLink {
    color: white !important;
}

div.conversation {
    font-size: 1.5em;
}

div.booktext {
    font-family: Times;
}

/*
 * Chapter and Section Related Stuff
 */
div.chaptertext {
    margin-left: 1em;
    margin-right: 1em;
    font-family: Times;
    font-size: 2.0em;
    border-left-color: #00b3ee;
    border-left-width: 2px;
    padding-left: 15px;
    padding-right: 15px;
    background-color: antiquewhite;
    border-radius: 6px;
    border-color: antiquewhite;

}

.introCanvas {
    padding-top: 0em;
    border-right: 0em;
    border-left: 0em;
    border-color: red;
    width: 100%;
}

/*
 * Chapter and Section Related Stuff
 */

div.contentsControl {
    margin-left: 1em;
    margin-right: 1em;
    font-family: Times;
    font-size: 2.0em;
    border-left-color: #05788c;
    border-left-width: 2px;
    padding-left: 0px;
    padding-right: 15px;
    background-color: #05788c;
    border-radius: 6px;
    border-color: #05788c;

}


div.sectionControl {
    margin-left: 1em;
    margin-right: 1em;
    font-family: Times;
    font-size: 2.0em;
    border-left-color: #f5f5f5;
    border-left-width: 2px;
    padding-left: 15px;
    padding-right: 15px;
    background-color: black;
    border-radius: 6px;
    border-color: black;

}

h2.chaptertitle {
    font-size: 2.5em;
}


div.chapterHeading {
    width: 100%;
    padding: 0%;
    border: 0px;
    margin: 0px;
    text-align: right;
    background-image: url("Figures/titleBackgroundTaller.png");
    background-position: center;
}

div.chapterheading {
    width: 75%;
    padding: 0px;
    border: 0px;
    margin: 0px;
    text-align: right;
}


li.chapterLink {
    color: #000000 !important;
}

a.chapterLink {
    color: #000000 !important;
}
.likesubsectionHead {
    margin-left: .2em;
    font-size: 1.5em;
}
h3.sectionHead {
    width: 63.157895%;
    font: bold;
    font-family: "Georgia", Times, serif;
    font-size: xx-large;
    padding: 10px;
    border: 0px;
    margin: 0px;
    text-align: justify;
}


div.sectionheading {
    width: 75%;
    padding: 0px;
    border: 0px;
    margin: 0px;
    text-align: right;
}


/*
 * Figure related stuff
 */

div.caption {
    margin-top: -2.5em;
    width: 90%;
    padding: 0px;
    border: 0px;
    margin-bottom: 2em;
    margin-right: 2em;
    text-align: justify;
}


div.centerline {
    width: 75%;
    padding: 0px;
    border: 0px;
    margin-left: 1.5em;
    margin-right: auto;
    text-align: justify;
}

div.sourcCode {
    width: 75%;
    padding: 0px;
    border: 10px;
    border-color: burlywood;
    border-radius: 4px;
    margin: auto;
    text-align: left;
    horiz-align: left;
}

pre.sourceCode {
    style:color:rgb(0,0,0);
    margin:auto;
    width:90%;
    padding: 12px;
    border: solid 2px;
    border-radius: 6px;
    border-color: burlywood;
    background-color:azure;
    font-weight:normal;
    font-style:normal;
    font-family:monospace;
    font-size:1.05em;
}

div.ProcessingCode {
    width: 50%;
    padding: 0px;
    border: 10px;
    border-color: #ffffff;
    border-radius: 4px;
    margin-left: 1.5em;
    margin-right: inherit;
    text-align: left;
    horiz-align: left;
}

img.sourceCode {
    border: solid 2px;
    border-color: burlywood;
    border-radius: 6px;
    padding: 6px;
    background-color: white;
    max-width: 185%;
}

div.staticImage {
    width: 50%;
    padding: 0px;
    margin-left: 1.5em;
    margin-right: inherit;
    text-align: center;
    horiz-align: center;
}

img.staticImage {
    border: solid 2px;
    border-color: black;
    border-radius: 6px;
    max-width: 185%;
}
span.content {
    margin-right: -10em;
    padding: 0px;
    border: 0px;
}

span.id {
    margin-top: -10em;
    padding: 0px;
    border: 0px;
    margin-left: 0.5em;
}
/*
 * Sketch related stuff
 */

div.sketch {
    /* width: 65.25%;*/
    padding: 0px;
    /* border: solid 6px;*/
    /* border-color: #584704; */
     margin-left: 1.5em;
    /* text-align: center; */
}

div.sketchControls {
    width: 60%;
    padding: 0px;
    margin-left: 1.5em;
    text-align: left;
    /* border: solid 2px; */
    /* border-color: burlywood; */
    /* border-radius: 6px; */
    /* background-color: burlywood; */

}

/*
 * Bibiliography related stuff



p.bibitem {
    width: 75%;
    padding: 0px;
    border: 0px;
    margin-left: 0px;
    text-align: justify;
}
*/

p.bibitem { text-indent: -2em; margin-left: 2em; margin-top:0.6em; margin-bottom:0.6em; }
p.bibitem-p { text-indent: 0em; margin-left: 2em; margin-top:0.6em; margin-bottom:0.6em; }

input.radioAnswer {
    vertical-align: text-bottom;
}


span.s6{color:rgb(128,128,128);font-weight:normal;font-style:normal;font-size:24px}
span.codeS1{color:rgb(128,128,128);font-weight:normal;font-style:normal;font-size:24px}
span.s9{color:rgb(187,181,41);font-weight:normal;font-style:normal;}
span.s2{color:rgb(23,198,53);font-weight:normal;font-style:normal;}
span.s10{color:rgb(106,135,89);font-weight:normal;font-style:normal;}
span.s3{color:rgb(152,118,170);font-weight:normal;font-style:normal;}
span.s8{color:rgb(94,141,255);font-weight:normal;font-style:normal;}
span.s1{color:rgb(204,120,50);font-weight:normal;font-style:normal;}
span.s5{color:rgb(152,118,170);font-weight:normal;font-style:normal;}
span.s7{color:rgb(94,141,255);font-weight:normal;font-style:normal;}
span.s4{color:rgb(255,198,109);font-weight:normal;font-style:normal;}
